// pages/home/index.js
import {getUserInfo} from '../../utils/getUserInfo.js'
import {getCityTree} from '../../api/feeddback.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 区域选项列表
        provinceOptions: [],
        cityOptions: [],
        distractOptions: [],
        provinceCurrent: -1, // 当前选择省
        cityCurrent: -1,
        distractCurrent: -1,
        // 列表数据筛选条件
        params: {
            streamName: ''
        },
        streamName: '',
        list: [],
        current: "/stream/index",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getTabBar().setData({
            selected: 0
        })
        this.getCityTreeList()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /* 调取当前用户区域 */

    /* 获取省市区 */
    getCityTreeList() {
        getCityTree().then(res=> {
            this.setData({
                provinceOptions: res.data
            })
        })
    },
    

    /* 筛选 */
    updateAreaChange(e) {
        const type = e.target.dataset.type
        const current = e.detail.current
        let params = this.data.params
        let code = this.data[type+'Options'][current].citycode
        params[type+'Code'] = code
        let itemList = this.data[type+'Options'][current].itemList || []
        if(type === 'province') {
            this.setData({
                provinceCurrent: current,
                cityOptions: itemList,
                cityCurrent: -1,
                distractCurrent: -1
            })
            params.cityCode = ""
            params.distractCode = ""
            params.streamName = ''
        } else if(type === 'city') {
            this.setData({
                distractOptions: itemList,
                cityCurrent: current,
                distractCurrent: -1
            })
            params.distractCode = ""
            params.streamName = ''
        } else if(type === 'distract') {
            this.setData({distractCurrent: current})
            params.streamName = ''
        }
        this.setData({
            params: params
        })
    },
    /* 根据current获取当前选中的值 */
    getValueByCurrent(current,type) {
        let code = this.data[type+'Options'][current].value
        return code
    },
    /* 输入河流名称搜索 */
    search(e) {
        let params = this.data.params
        params.streamName = this.data.streamName
        this.setData({ params: params })
    },

    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },

    /* 跳转上报问题页面 */
    uploadProblem(e) {
        let detail = e.currentTarget.dataset.detail
        let openId = wx.getStorageSync('openId')
        if(openId) {
            wx.navigateTo({
                url: '/package_A/pages/report/index?data=' + JSON.stringify(detail),
              })
        } else {
            getUserInfo().then(res=> {
                wx.navigateTo({
                  url: '/package_A/pages/report/index?data=' + JSON.stringify(detail),
                })
            })
        }
    },
    /* 跳转至详情页 */
    showDetail(e) {
    
    }
})